## org.apache.batik.util
Class EncodingUtilities

    java.lang.Object
      org.apache.batik.util.EncodingUtilities

public class EncodingUtilities
extends java.lang.Object

This class contains utility functions to manage encodings.

Field Summary
`protected static java.util.Map` `ENCODINGS` The standard to Java encoding table.

Constructor Summary
`protected` `EncodingUtilities()` This class does not need to be instantiated.

Method Summary
`static java.lang.String` `javaEncoding(java.lang.String encoding)` Returns the Java encoding string mapped with the given standard encoding string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODINGS

    protected static final java.util.Map ENCODINGS

  The standard to Java encoding table.

Constructor Detail

### EncodingUtilities

    protected EncodingUtilities()

  This class does not need to be instantiated.

Method Detail

### javaEncoding

    public static java.lang.String javaEncoding(java.lang.String encoding)

  Returns the Java encoding string mapped with the given standard encoding string.

  Returns:
    null if no mapping was found.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.